#' EGAnet--package
#' 
#' @description An implementation of the Exploratory Graph Analysis (EGA) framework for dimensionality assessment.
#' EGA is part of a new area called network psychometrics that focuses on the estimation of undirected network models
#' in psychological datasets. EGA estimates the number of dimensions or factors using graphical lasso or
#' Triangulated Maximally Filtered Graph (TMFG) and a weighted network community analysis. A bootstrap method for
#' verifying the stability of the estimation is also available. The fit of the structure suggested by EGA can be verified
#' using confirmatory factor analysis and a direct way to convert the EGA structure to a confirmatory factor model is also
#' implemented. Documentation and examples are available.
#'
#' @references
#' Golino, H. F., & Epskamp, S. (2017).
#' Exploratory graph analysis: A new approach for estimating the number of dimensions in psychological research.
#' \emph{PloS one}, \emph{12(6)}, e0174035.
#' doi: \href{https://doi.org/10.1371/journal.pone.0174035}{journal.pone.0174035}
#'
#' Golino, H. F., & Demetriou, A. (2017).
#' Estimating the dimensionality of intelligence like data using Exploratory Graph Analysis.
#' \emph{Intelligence}, \emph{62}, 54-70.
#' doi: \href{https://doi.org/10.1016/j.intell.2017.02.007}{j.intell.2017.02.007}
#'
#' Golino, H., Shi, D., Garrido, L. E., Christensen, A. P., Nieto, M. D., Sadana, R., & Thiyagarajan, J. A. (in press).
#' Investigating the performance of Exploratory Graph Analysis and traditional techniques to identify the number of latent factors: A simulation and tutorial.
#' \emph{Psychological Methods}.
#' doi: \href{https://psyarxiv.com/gzcre/}{10.31234/osf.io/gzcre}
#'
#' @author Hudson Golino <hfg9s@virginia.edu> and Alexander Christensen <alexpaulchristensen@gmail.com>
#' 
#' @importFrom utils packageDescription
#'
"_PACKAGE"
#> [1] "_PACKAGE"
#EGAnet----
